<?php

function citygardens_getmoduleinfo(){
        $info = array(
                "name"=>"Stdtegrten",
                "author"=>"Daisuke; Texte von Daisuke, Lucia und Moschus",
                "version"=>"1.0",
                "category"=>"Garten",
                "requires"=>array(
                        "cities" => "1.0|Eric Stevens, core_module",
                        "racedwarf" => "1.0|Eric Stevens, core_module",
                        "raceelf" => "1.0|Eric Stevens, core_module",
                        "racehuman" => "1.0|Eric Stevens, core_module",
                        "racetroll" => "1.0|Eric Stevens, core_module",
            ),
        );
        return $info;
}

function citygardens_install(){
        module_addhook("gardens");
        return true;
}

function citygardens_uninstall(){
        return true;
}

function citygardens_dohook($hookname,$args){
        global $session;
	    $city = getsetting("villagename", LOCATION_FIELDS);
	    $capital = $session['user']['location']==$city;
        $dvname = get_module_setting("villagename", "racedwarf");
        $evname = get_module_setting("villagename", "raceelf");
        $hvname = get_module_setting("villagename", "racehuman");
        $tvname = get_module_setting("villagename", "racetroll");
        require_once("lib/http.php");
        switch($hookname){
                case "gardens":
                addnav("Herumlaufen");
               if ($session['user']['location'] == $dvname) {
            addnav("Zwerggarten","runmodule.php?module=citygardens&op=dwa");
               } elseif ($session['user']['location'] == $evname) {
                addnav("romantischer See","runmodule.php?module=citygardens&op=elf");
               } elseif ($session['user']['location'] == $hvname) {
                addnav("romantischer Garten","runmodule.php?module=citygardens&op=hum");
               } elseif ($session['user']['location'] == $tvname) {
                addnav("die Sumpfgrten","runmodule.php?module=citygardens&op=tro");
               } elseif ($session['user']['location'] == $capital) {
                addnav("japanischer Garten","runmodule.php?module=citygardens&op=cap");
               }
                addnav("Sonstiges");
                break;
        }
        return $args;
}

function citygardens_run(){
        global $session;
        require_once("lib/commentary.php");
        $op = httpget('op');
        if($op=="dwa"){
            page_header("Garten der Zwerge");
            output("`c`b`#Garten der Zwerge`b`c`n`n");
            output("Hier ist der Garten der Zwerge wie man es sieht,da alles sehr klein ist.");
            output("Blumen finden sich berall, genau wie die Bume und kleine andere Gewchse.");
            output("Es ist ein Wundersschner aber etwas kleiner Garten. Auf einer kleinen Lichtung, auf der kaum Bume sind dafr aber berall Blumen und kleine Heilkruter.");
            addcommentary();
            viewcommentary("dwa","Hier flstern",20,"flstert");
                addnav("Wandern");
                addnav("Zurck zum Garten","gardens.php");
            villagenav();
                }
        if($op=="elf"){
            page_header("Der romantische See");
            output("`c`b`#Der romantische See Glorfindals`b`c`n`n");
            output("Als du auf einem kleinen Weg im Garten lufst entdeckst du pltzlich ein dir unbekanntes Gebiet des Gartens.");
            output("Du siehst den See vor dir, der durch das Bltterdach der Bume geschtzt scheint.");
            output("Das Licht das durch die gewaltigen Baumkronen durchblinzelt reflektiert auf den Wellen des Sees und kleine Lichtschwaden werden sichtbar.");
            output("`3Eine kleine Fee flstert dir zu das du dich hier `^ leise `3 mit deinen Freunden unterhalten kannst.`n`n");                addcommentary();
            viewcommentary("elf","Hier flstern",20,"flstert");
            addnav("Wandern");
            addnav("Zurck zum Garten","gardens.php");
            villagenav();
                }
        if($op=="hum"){
            page_header("romantischer Garten");
            output("`c`b`^romantischer Garten Romars`b`c`n`n");
            output("Du gehst durch geschmiedetes Eisentor und betritts den Garten, indem groen Eichen und ein romatischer See liegt. Auf dem See schwimmen ein paar Schwne.");
            output("Im Gest der Eichen singen die Vgel ihre wunderbaren Lieder. Als du weiter in den Garten wanderst, entdeckst du kleine Bnkchen, auf denen sich so manches Liebespaar niederlsst.");
            output("Es scheint, als wrde die Zeit hier stillstehen.");
            addcommentary();
            viewcommentary("hum","Hier flstern",20,"flstert");
            addnav("Wandern");
            addnav("Zurck zum Garten","gardens.php");
            villagenav();
                }
       if($op=="tro"){
                page_header("die Sumpfgrten");
                output("`c`b`%Trollgarten`b`c`n`n");
                output("Du gehst durch das Eichentor, das von groen Farnen umgeben ist. Der schne Garten riecht herrlich nach exotischen Sumpfblumen.");
                output(" Von den sen Dften beflgelt wagst du dich weiter vor. Du gehst an warmen Heilquellen vorbei und lsst dich auf einer Bank nieder und hrst den singenden Vgeln zu, die um den See in der mitte des Gartens fliegen.");
                output("Unter den hohen Baumfarnen gibt es viele Pltze zum entspannen.`n`n");
                addcommentary();
                viewcommentary("tro","Hier flstern",20,"flstert");
                addnav("Wandern");
                addnav("Zurck zum Garten","gardens.php");
                villagenav();
                }
        if($op=="cap"){
                page_header("Der japanische Garten ");
                output("`c`b`#Der japanische Garten %s`b`c`n`n",$city);
                output("Als du auf einem kleinen Weg im Garten lufst entdeckst du pltzlich ein dir unbekanntes Gebiet des Gartens.");
                output("Du betrittst den japanischen Garten, der mit asiatischer Dekoration berzogen ist.");
                output("Durch das Bltterdach der asiatischen Gewchse sieht es aus als wden berall Lichtschwaden sein.");
                output("`Eine japanische Dame sagt dir das du dich hier `^ ungestrt mit deinen Freunden unterhalten kannst`n`n");
                addcommentary();
                viewcommentary("cap","Hier flstern",20,"flstert");
                addnav("Wandern");
                addnav("Zurck zum Garten","gardens.php");
                villagenav();
                }
page_footer();
}
?>